Index: main/trunk/greenstone3/web/sites/localsite/collect/gberg/etc/collectionConfig.xml
===================================================================
--- main/trunk/greenstone3/web/sites/localsite/collect/gberg/etc/collectionConfig.xml	(revision 24711)
+++ main/trunk/greenstone3/web/sites/localsite/collect/gberg/etc/collectionConfig.xml	(revision 24712)
@@ -5,4 +5,5 @@
   <metadataList>
     <metadata name="creator">greenstone@cs.waikato.ac.nz</metadata>
+	<metadata name="public">false</metadata>
   </metadataList>
   <displayItemList>
Index: main/trunk/greenstone3/web/sites/localsite/collect/gs2mgdemo/etc/collectionConfig.xml
===================================================================
--- main/trunk/greenstone3/web/sites/localsite/collect/gs2mgdemo/etc/collectionConfig.xml	(revision 24711)
+++ main/trunk/greenstone3/web/sites/localsite/collect/gs2mgdemo/etc/collectionConfig.xml	(revision 24712)
@@ -4,5 +4,5 @@
         <metadata lang="en" name="creator"/>
         <metadata lang="en" name="maintainer"/>
-        <metadata lang="en" name="public">true</metadata>
+        <metadata lang="en" name="public">false</metadata>
     </metadataList>
     <displayItemList>
Index: main/trunk/greenstone3/web/sites/localsite/collect/gs2mgppdemo/etc/collectionConfig.xml
===================================================================
--- main/trunk/greenstone3/web/sites/localsite/collect/gs2mgppdemo/etc/collectionConfig.xml	(revision 24711)
+++ main/trunk/greenstone3/web/sites/localsite/collect/gs2mgppdemo/etc/collectionConfig.xml	(revision 24712)
@@ -4,5 +4,5 @@
         <metadata lang="en" name="creator"/>
         <metadata lang="en" name="maintainer"/>
-        <metadata lang="en" name="public">true</metadata>
+        <metadata lang="en" name="public">false</metadata>
     </metadataList>
     <displayItemList>
@@ -85,25 +85,25 @@
     </display>
     <replaceListRef id="gs2-standard"/>
-	<serviceRackList>
-    <!-- comment out the following serviceRack if you want to disable OAI for this collection -->
-		<serviceRack name="OAIPMH">
-			<ListMetadataFormats>
-			<!--What metadata sets to support is collection specific. To support other metadata schema, add another metadataFormat element here.
+    <serviceRackList>
+        <!-- comment out the following serviceRack if you want to disable OAI for this collection -->
+        <serviceRack name="OAIPMH">
+            <ListMetadataFormats>
+                <!--What metadata sets to support is collection specific. To support other metadata schema, add another metadataFormat element here.
 			The support of unqualified Dublin Core metadata set is mandatory in the oai specification.
 			-->
-				<metadataFormat metadataPrefix="oai_dc">
-					<metadataPrefix>oai_dc</metadataPrefix>
-					<schema>http://www.openarchives.org/OAI/2.0/oai_dc.xsd</schema>
-					<metadataNamespace>http://www.openarchives.org/OAI/2.0/oai_dc/</metadataNamespace>
-					<!--   a custom mapping as this collection doesn't have dc metadata -->
-					<mappingList>
-						<mapping>dc:title,dls.Title</mapping>
-						<mapping>dc:subject,dls.Subject</mapping>
-						<mapping>dc:language,dls.Language</mapping>
-						<mapping>dc:publisher,dls.Organization</mapping>
-					</mappingList>
-				</metadataFormat>
-			</ListMetadataFormats>
-		</serviceRack> 
-	</serviceRackList>
+                <metadataFormat metadataPrefix="oai_dc">
+                    <metadataPrefix>oai_dc</metadataPrefix>
+                    <schema>http://www.openarchives.org/OAI/2.0/oai_dc.xsd</schema>
+                    <metadataNamespace>http://www.openarchives.org/OAI/2.0/oai_dc/</metadataNamespace>
+                    <!--   a custom mapping as this collection doesn't have dc metadata -->
+                    <mappingList>
+                        <mapping>dc:title,dls.Title</mapping>
+                        <mapping>dc:subject,dls.Subject</mapping>
+                        <mapping>dc:language,dls.Language</mapping>
+                        <mapping>dc:publisher,dls.Organization</mapping>
+                    </mappingList>
+                </metadataFormat>
+            </ListMetadataFormats>
+        </serviceRack>
+    </serviceRackList>
 </CollectionConfig>
Index: main/trunk/greenstone3/web/sites/localsite/siteConfig.xml
===================================================================
--- main/trunk/greenstone3/web/sites/localsite/siteConfig.xml	(revision 24711)
+++ main/trunk/greenstone3/web/sites/localsite/siteConfig.xml	(revision 24712)
@@ -9,5 +9,7 @@
     <serviceRack name="DocumentMaker"/>
     <serviceRack name="DocXMLUtil"/>
+	<serviceRack name="DocumentBasket"/>
     <serviceRack name="BerryBasket"/>
+	  <serviceRack name="ServiceUtil"/>
     <serviceRack name="CrossCollectionSearch">
       <format>