Index: main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/GS2Analyzer.java
===================================================================
--- main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/GS2Analyzer.java	(revision 24725)
+++ main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/GS2Analyzer.java	(revision 24726)
@@ -24,5 +24,5 @@
  *
  *********************************************************************/
-package org.greenstone.LuceneWrapper;
+package org.greenstone.LuceneWrapper3;
 
 
Index: main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/GS2IndexModifier.java
===================================================================
--- main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/GS2IndexModifier.java	(revision 24725)
+++ main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/GS2IndexModifier.java	(revision 24726)
@@ -28,5 +28,5 @@
  */
 
-package org.greenstone.LuceneWrapper;
+package org.greenstone.LuceneWrapper3;
 
 import java.io.IOException;
Index: main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/GS2LuceneDelete.java
===================================================================
--- main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/GS2LuceneDelete.java	(revision 24725)
+++ main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/GS2LuceneDelete.java	(revision 24726)
@@ -30,5 +30,5 @@
  */
 
-package org.greenstone.LuceneWrapper;
+package org.greenstone.LuceneWrapper3;
 
 import java.io.IOException;
Index: main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/GS2LuceneEditor.java
===================================================================
--- main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/GS2LuceneEditor.java	(revision 24725)
+++ main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/GS2LuceneEditor.java	(revision 24726)
@@ -30,5 +30,5 @@
  */
 
-package org.greenstone.LuceneWrapper;
+package org.greenstone.LuceneWrapper3;
 
 import java.io.IOException;
Index: main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/GS2LuceneIndexer.java
===================================================================
--- main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/GS2LuceneIndexer.java	(revision 24725)
+++ main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/GS2LuceneIndexer.java	(revision 24726)
@@ -25,5 +25,5 @@
  *********************************************************************/
 
-package org.greenstone.LuceneWrapper;
+package org.greenstone.LuceneWrapper3;
 
 
Index: main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/GS2LuceneQuery.java
===================================================================
--- main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/GS2LuceneQuery.java	(revision 24725)
+++ main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/GS2LuceneQuery.java	(revision 24726)
@@ -24,5 +24,5 @@
  *
  *********************************************************************/
-package org.greenstone.LuceneWrapper;
+package org.greenstone.LuceneWrapper3;
 
 
Index: main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/GS2StandardAnalyzer.java
===================================================================
--- main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/GS2StandardAnalyzer.java	(revision 24725)
+++ main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/GS2StandardAnalyzer.java	(revision 24726)
@@ -1,5 +1,3 @@
-package org.greenstone.LuceneWrapper;
-
-//package org.apache.lucene.analysis.standard;
+package org.greenstone.LuceneWrapper3;
 
 /**
Index: main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/IndexModifier.java
===================================================================
--- main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/IndexModifier.java	(revision 24725)
+++ main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/IndexModifier.java	(revision 24726)
@@ -1,3 +1,3 @@
-package org.greenstone.LuceneWrapper;
+package org.greenstone.LuceneWrapper3;
 /**
  * Licensed to the Apache Software Foundation (ASF) under one or more
Index: main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/LuceneQueryResult.java
===================================================================
--- main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/LuceneQueryResult.java	(revision 24725)
+++ main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/LuceneQueryResult.java	(revision 24726)
@@ -25,5 +25,5 @@
  *********************************************************************/
 
-package org.greenstone.LuceneWrapper;
+package org.greenstone.LuceneWrapper3;
 
 import java.util.Vector;
Index: main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/SharedSoleneQuery.java
===================================================================
--- main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/SharedSoleneQuery.java	(revision 24725)
+++ main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/SharedSoleneQuery.java	(revision 24726)
@@ -24,5 +24,5 @@
  *
  *********************************************************************/
-package org.greenstone.LuceneWrapper;
+package org.greenstone.LuceneWrapper3;
 
 
Index: main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/SharedSoleneQueryResult.java
===================================================================
--- main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/SharedSoleneQueryResult.java	(revision 24725)
+++ main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/SharedSoleneQueryResult.java	(revision 24726)
@@ -25,5 +25,5 @@
  *********************************************************************/
 
-package org.greenstone.LuceneWrapper;
+package org.greenstone.LuceneWrapper3;
 
 import java.util.Vector;