Index: main/trunk/greenstone2/common-src/indexers/lucene-gs/Makefile.in
===================================================================
--- main/trunk/greenstone2/common-src/indexers/lucene-gs/Makefile.in	(revision 24731)
+++ main/trunk/greenstone2/common-src/indexers/lucene-gs/Makefile.in	(revision 24732)
@@ -4,4 +4,5 @@
 
 LUCENE_JAR = ./lib/lucene-core-2.3.2.jar
+LUCENE3_JAR = ./lib/lucene-core-3.3.0.jar
 
 
@@ -13,11 +14,29 @@
 	classes/org/greenstone/LuceneWrapper/GS2LuceneIndexer.class \
 	classes/org/greenstone/LuceneWrapper/GS2LuceneQuery.class \
-	classes/org/greenstone/LuceneWrapper/LuceneQueryResult.class \
+	classes/org/greenstone/LuceneWrapper/LuceneQueryResult.class
+
+LUCENE3_WRAPPER_OBJECTS = \
+	classes3/org/greenstone/LuceneWrapper3/GS2Analyzer.class \
+	classes3/org/greenstone/LuceneWrapper3/GS2IndexModifier.class \
+	classes3/org/greenstone/LuceneWrapper3/GS2LuceneDelete.class \
+	classes3/org/greenstone/LuceneWrapper3/GS2LuceneEditor.class \
+	classes3/org/greenstone/LuceneWrapper3/GS2LuceneIndexer.class \
+	classes3/org/greenstone/LuceneWrapper3/GS2LuceneQuery.class \
+	classes3/org/greenstone/LuceneWrapper3/LuceneQueryResult.class \
+	classes3/org/greenstone/LuceneWrapper3/SharedSoleneQuery.class \
+	classes3/org/greenstone/LuceneWrapper3/SharedSoleneQueryResult.class
 
 LUCENE_WRAPPER_JAR = LuceneWrapper.jar
 
+LUCENE3_WRAPPER_JAR = LuceneWrapper3.jar
 
-classes/%.class: src/%.java
-	mkdir -p classes && $(JAVAC) $(JAVACFLAGS) -classpath $(LUCENE_JAR):classes:. -d classes -sourcepath src/ src/$*.java
+
+classes/org/greenstone/LuceneWrapper/%.class: src/org/greenstone/LuceneWrapper/%.java
+	mkdir -p classes && $(JAVAC) $(JAVACFLAGS) -classpath $(LUCENE_JAR):classes:. -d classes -sourcepath src/ src/org/greenstone/LuceneWrapper/$*.java
+
+# For now, drop using JAVACFLAGS in compile line, as it typically sets
+# source and target to 1.4, only Lucene 3.x needsd version 1.5 or higher
+classes3/org/greenstone/LuceneWrapper3/%.class: src/org/greenstone/LuceneWrapper3/%.java
+	mkdir -p classes3 && $(JAVAC) -classpath $(LUCENE3_JAR):classes3:. -d classes3 -sourcepath src/ src/org/greenstone/LuceneWrapper3/$*.java
 
 LuceneWrapper.jar: $(LUCENE_WRAPPER_OBJECTS)
@@ -25,12 +44,19 @@
 	$(JAR) cf $(LUCENE_WRAPPER_JAR) -C classes .
 
-all: $(LUCENE_WRAPPER_JAR)
+LuceneWrapper3.jar: $(LUCENE3_WRAPPER_OBJECTS)
+	cd classes3 && jar xf ../$(LUCENE3_JAR)
+	$(JAR) cf $(LUCENE3_WRAPPER_JAR) -C classes3 .
 
-install: $(LUCENE_WRAPPER_JAR)
+all: $(LUCENE_WRAPPER_JAR) $(LUCENE3_WRAPPER_JAR)
+
+install: all
 
 clean:
 	/bin/rm -f $(LUCENE_WRAPPER_OBJECTS) $(LUCENE_WRAPPER_JAR)
+	/bin/rm -f $(LUCENE3_WRAPPER_OBJECTS) $(LUCENE3_WRAPPER_JAR)
 
 distclean: clean
 	if test -e classes; then /bin/rm -r classes; fi
 	if test -e $(LUCENE_WRAPPER_JAR); then /bin/rm -r $(LUCENE_WRAPPER_JAR); fi
+	if test -e classes3; then /bin/rm -r classes3; fi
+	if test -e $(LUCENE3_WRAPPER_JAR); then /bin/rm -r $(LUCENE3_WRAPPER_JAR); fi
Index: main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/GS2LuceneQuery.java
===================================================================
--- main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/GS2LuceneQuery.java	(revision 24731)
+++ main/trunk/greenstone2/common-src/indexers/lucene-gs/src/org/greenstone/LuceneWrapper3/GS2LuceneQuery.java	(revision 24732)
@@ -41,6 +41,4 @@
 import org.apache.lucene.search.BooleanQuery.TooManyClauses;
 import org.apache.lucene.search.Filter;
-import org.apache.lucene.search.Hit;
-import org.apache.lucene.search.Hits;
 import org.apache.lucene.search.IndexSearcher;
 import org.apache.lucene.search.Query;
Index: main/trunk/greenstone2/common-src/indexers/lucene-gs/winMake.bat
===================================================================
--- main/trunk/greenstone2/common-src/indexers/lucene-gs/winMake.bat	(revision 24731)
+++ main/trunk/greenstone2/common-src/indexers/lucene-gs/winMake.bat	(revision 24732)
@@ -5,4 +5,5 @@
 rem ---- Where to put class files ----
 set JAVACLASSDIR=classes
+set JAVACLASSDIR3=classes3
 
 rem ---- Name and location of java programs ----
@@ -17,4 +18,7 @@
 set LUCENE_JAR=.\lib\lucene-core-2.3.2.jar
 set MYCLASSPATH=%LUCENE_JAR%;%JAVACLASSDIR%
+
+set LUCENE3_JAR=.\lib\lucene-core-3.3.0.jar
+set MYCLASSPATH3=%LUCENE3_JAR%;%JAVACLASSDIR3%
 
 if "%DEBUG%" == "" (
@@ -35,5 +39,5 @@
 :all
 	if not exist %JAVACLASSDIR% mkdir %JAVACLASSDIR%
-	echo Compiling Greenstone Lucene Java classes ...
+	echo Compiling Greenstone Lucene version 2.x Java classes ...
 	%JAVAC% -d %JAVACLASSDIR% -classpath %MYCLASSPATH% %JAVACOPTIONS% -sourcepath src src\org\greenstone\LuceneWrapper\*.java
 	cd %JAVACLASSDIR%
@@ -41,4 +45,10 @@
 	cd ..
 	%JAR% cf LuceneWrapper.jar -C %JAVACLASSDIR% .
+	echo Compiling Greenstone Lucene version 3.x Java classes ...
+	%JAVAC% -d %JAVACLASSDIR3% -classpath %MYCLASSPATH3% %JAVACOPTIONS% -sourcepath src src\org\greenstone\LuceneWrapper3\*.java
+	cd %JAVACLASSDIR3%
+	%JAR% xf ..\%LUCENE3_JAR%
+	cd ..
+	%JAR% cf LuceneWrapper3.jar -C %JAVACLASSDIR3% .
 	goto done
 
@@ -50,4 +60,6 @@
 	if exist %JAVACLASSDIR% rmdir /S /Q %JAVACLASSDIR%
         if exist LuceneWrapper.jar del LuceneWrapper.jar
+	if exist %JAVACLASSDIR3% rmdir /S /Q %JAVACLASSDIR3%
+        if exist LuceneWrapper3.jar del LuceneWrapper3.jar
 	goto done 
 