Index: main/trunk/greenstone2/collect/demo/import/b22bue/b22bue.htm
===================================================================
--- main/trunk/greenstone2/collect/demo/import/b22bue/b22bue.htm	(revision 24011)
+++ main/trunk/greenstone2/collect/demo/import/b22bue/b22bue.htm	(revision 24803)
@@ -7,5 +7,5 @@
 <BODY>
 
-<B><FONT FACE="Arial" SIZE=2><P></P>
+<B><FONT FACE="Arial" SIZE=2></B><P></P>
 <!--
 <Section>
@@ -14,5 +14,5 @@
   </Description>
 -->
-</B>
+
 <P ALIGN="JUSTIFY">Managing Tropical Animal Resources</P>
 
@@ -21,5 +21,5 @@
 
 </FONT><FONT FACE="Arial" SIZE=2 COLOR="#0000ff">
-</FONT><B><FONT FACE="Arial" SIZE=2><P ALIGN="CENTER"><A NAME="Acknowledgements"></A></P>
+</FONT><B><FONT FACE="Arial" SIZE=2><P ALIGN="CENTER"><A NAME="Acknowledgements"></A></P></B>
 <!--
 <Section>
@@ -28,5 +28,5 @@
   </Description>
 -->
-</B>
+
 <P ALIGN="JUSTIFY">Report of an Ad Hoc Panel of the Advisory Committee on Technology Innovation </P>
 <P ALIGN="JUSTIFY">Board on Science and Technology for International Development </P>
@@ -50,5 +50,5 @@
 
 </FONT><FONT FACE="Arial" SIZE=2 COLOR="#0000ff"><P ALIGN="JUSTIFY"><A NAME="Panel_on_Butterfly_Farming_in_P"></A></P>
-</FONT><B><FONT FACE="Arial" SIZE=2>
+</FONT><B><FONT FACE="Arial" SIZE=2></B>
 <!--
 </Section>
@@ -58,5 +58,5 @@
   </Description>
 -->
-</B>
+
 <P ALIGN="JUSTIFY">ROBERT M. PYLE, Chairman, Lepidoptera Specialist Group, International  Union for Conservation of Nature and Natural Resources, Gland,  Switzerland, Chairman </P>
 <P ALIGN="JUSTIFY">EDWARD S. AYENSU, Director, Office of Biological Conservation, Smithsonian  Institution, Washington, D.C. </P>
@@ -69,5 +69,5 @@
 
 </FONT><FONT FACE="Arial" SIZE=2 COLOR="#0000ff"><P ALIGN="JUSTIFY"><A NAME="Contributors_"></A></P>
-</FONT><B><FONT FACE="Arial" SIZE=2>
+</FONT><B><FONT FACE="Arial" SIZE=2></B>
 <!--
 </Section>
@@ -77,5 +77,5 @@
   </Description>
 -->
-</B>
+
 <P ALIGN="JUSTIFY">Papua New Guinea </P>
 
@@ -111,5 +111,5 @@
 
 </FONT><FONT FACE="Arial" SIZE=2 COLOR="#0000ff"><P ALIGN="JUSTIFY"><A NAME="Preface_"></A></P>
-</FONT><B><FONT FACE="Arial" SIZE=2>
+</FONT><B><FONT FACE="Arial" SIZE=2></B>
 <!--
 </Section>
@@ -119,5 +119,5 @@
   </Description>
 -->
-</B>
+
 <P ALIGN="JUSTIFY">Butterfly farming is a growing new industry in Papua New Guinea, and by  turning irdwings, mauve swallowtails, and other insects into a cash crop  villagers are both earning money and practicing sound wildlife conservation.  In this unique program butterfly farming is being used to complement the  preservation of species and of habitats. In balancing the utilization of  common butterflies with the protection of the most threatened species, Papua  New Guinea is providing a model for other countries, particularly those in the  tropics. The program demonstrates how village development can become an  integral part of conservation.</P>
 
@@ -136,5 +136,5 @@
 
 </FONT><FONT FACE="Arial" SIZE=2 COLOR="#0000ff">
-</FONT><B><FONT FACE="Arial" SIZE=2><P ALIGN="CENTER"><A NAME="BM1_Introduction_and_Summary_"></A></P>
+</FONT><B><FONT FACE="Arial" SIZE=2><P ALIGN="CENTER"><A NAME="BM1_Introduction_and_Summary_"></A></P></B>
 <!--
 </Section>
@@ -144,5 +144,5 @@
   </Description>
 -->
-</B>
+
 <P ALIGN="JUSTIFY">The international demand for tropical butterflies is much greater than is  generally recognized. Each year millions of them are caught and sold  throughout the world. Many buyers are scientists engaged in research on  aspects of systematics, ecology, ethology, evolution, and conservation.  Others are individuals who like expensive curios that incorporate butterflies,  such as display cases, coffee tables, wall hangings, or other objects. But  increasingly, the fragile, iridescent creatures, mounted in plastic or glass, are  used to decorate less-expensive items such as purses, trays, platters, screens,  and other common objects in Europe, North America, and Japan. In addition,  amateur butterfly collecting, which reached a peak in Victorian times, is again becoming popular.</P>
 
@@ -222,5 +222,5 @@
 
 </FONT><FONT FACE="Arial" SIZE=2 COLOR="#0000ff"><P ALIGN="JUSTIFY"><A NAME="BM2_Butterfly_Status_and_Conserva"></A></P>
-</FONT><B><FONT FACE="Arial" SIZE=2>
+</FONT><B><FONT FACE="Arial" SIZE=2></B>
 <!--
 </Section>
@@ -230,5 +230,5 @@
   </Description>
 -->
-</B>
+
 <P ALIGN="JUSTIFY">About 100,000-150,000 species of butterflies have been described; perhaps half that number remain to be discovered. Although there are important concentrations in the Arctic and temperate regions, most species are found in the tropics. There, the diversity of colors and forms is dazzling; every imaginable combination of hue and color is displayed. And many tropical butterflies are enriched with "structural" colors, which cause the wings to flash iridescently in the sun as they bend the light they reflect.</P>
 
@@ -273,5 +273,5 @@
 
 </FONT><FONT FACE="Arial" SIZE=2 COLOR="#0000ff"><P ALIGN="JUSTIFY"><A NAME="BM3_History_and_Government_Policy"></A></P>
-</FONT><B><FONT FACE="Arial" SIZE=2>
+</FONT><B><FONT FACE="Arial" SIZE=2></B>
 <!--
 </Section>
@@ -281,5 +281,5 @@
   </Description>
 -->
-</B>
+
 <P ALIGN="JUSTIFY">Soon after Europeans discovered New Guinea's remarkable insect fauna around the turn of the century, collectors began arriving, and they have been coming ever since. Many were reputable professional or amateur scientists, gathering modest numbers of specimens for study and for museums, including Papua New Guinea's own national collection. Others, however, were plunderers who carried away large numbers of rare butterflies, giving little or no compensation to the local people and showing no concern for survival of the species.</P>
 
@@ -331,5 +331,5 @@
 
 </FONT><FONT FACE="Arial" SIZE=2 COLOR="#0000ff"><P ALIGN="JUSTIFY"><A NAME="BM4_Operating_a_Butterfly_Farm"></A></P>
-</FONT><B><FONT FACE="Arial" SIZE=2>
+</FONT><B><FONT FACE="Arial" SIZE=2></B>
 <!--
 </Section>
@@ -339,5 +339,5 @@
   </Description>
 -->
-</B>
+
 <P ALIGN="JUSTIFY">Planting the Farm</P>
 
@@ -396,5 +396,5 @@
 
 </FONT><FONT FACE="Arial" SIZE=2 COLOR="#0000ff"><P ALIGN="JUSTIFY"><A NAME="BM5_Application_to_Other_Nations"></A></P>
-</FONT><B><FONT FACE="Arial" SIZE=2>
+</FONT><B><FONT FACE="Arial" SIZE=2></B>
 <!--
 </Section>
@@ -404,5 +404,5 @@
   </Description>
 -->
-</B>
+
 <P ALIGN="JUSTIFY">As noted, the essence of the Papua New Guinea approach is the cultivation of food plants that the butterflies need to complete their life cycles. This is a process that could be replicated elsewhere, and the potential for butterfly farming exists in many countries. In fact, although Papua New Guinea is rich in butterfly species - some 700 of them - it is not unusually so. Other countries also have large numbers of species. There are, for instance 2,500 species known in Costa Rica.</P>
 
@@ -448,5 +448,5 @@
 
 </FONT><FONT FACE="Arial" SIZE=2 COLOR="#0000ff"><P ALIGN="JUSTIFY"><A NAME="Appendix_A"></A></P>
-</FONT><B><FONT FACE="Arial" SIZE=2>
+</FONT><B><FONT FACE="Arial" SIZE=2></B>
 <!--
 </Section>
@@ -456,6 +456,6 @@
   </Description>
 -->
-</B>
-<B><P></P>
+
+<B></B><P></P>
 <!--
 <Section>
@@ -464,5 +464,5 @@
   </Description>
 -->
-</B>
+
 <P ALIGN="JUSTIFY">Carvalho, J. C. M., and O. H. H. Mielke. 1972. The trade of butterfly wings in Brazil and its effect upon survival of the species. Proceedings 19th International Congress of Entomology (Moscow) 1 :486-488.</P>
 
@@ -484,5 +484,5 @@
 
 </FONT><FONT FACE="Arial" SIZE=2 COLOR="#0000ff"><P ALIGN="JUSTIFY"><A NAME="Appendix_B"></A></P>
-</FONT><B><FONT FACE="Arial" SIZE=2><P></P>
+</FONT><B><FONT FACE="Arial" SIZE=2></B><P></P>
 <!--
 </Section>
@@ -492,5 +492,5 @@
   </Description>
 -->
-</B>
+
 <P ALIGN="JUSTIFY">Research Contacts</P>
 
@@ -518,5 +518,5 @@
 
 </FONT><FONT FACE="Arial" SIZE=2 COLOR="#0000ff"><P ALIGN="JUSTIFY"><A NAME="Appendix_C"></A></P>
-</FONT><B><FONT FACE="Arial" SIZE=2><P></P>
+</FONT><B><FONT FACE="Arial" SIZE=2></B><P></P>
 <!--
 </Section>
@@ -526,5 +526,5 @@
   </Description>
 -->
-</B>
+
 <P ALIGN="JUSTIFY">Biographical Sketches of Panel Members</P>
 
@@ -551,5 +551,5 @@
 
 </FONT><FONT FACE="Arial" SIZE=2 COLOR="#0000ff"><P ALIGN="JUSTIFY"><A NAME="Advisory_Committee_on_Technolog"></A></P>
-</FONT><B><FONT FACE="Arial" SIZE=2>
+</FONT><B><FONT FACE="Arial" SIZE=2></B>
 <!--
 </Section>
@@ -560,5 +560,5 @@
   </Description>
 -->
-</B>
+
 <P ALIGN="JUSTIFY">HUGH POPENOE, Director, International Programs in Agriculture, University of Florida, Gainesville, Florida, Chairman </P>
 
@@ -582,5 +582,5 @@
 
 </FONT><FONT FACE="Arial" SIZE=2 COLOR="#0000ff"><P ALIGN="JUSTIFY"><A NAME="Board_on_Science_and_Technology"></A></P>
-</FONT><B><FONT FACE="Arial" SIZE=2>
+</FONT><B><FONT FACE="Arial" SIZE=2></B>
 <!--
 </Section>
@@ -590,5 +590,5 @@
   </Description>
 -->
-</B>
+
 <P ALIGN="JUSTIFY">GEORGE BUGLIARELLO, President, Polytechnic Institute of New York, Brooklyn, New York, Chairman </P>
 